[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#583151: ITP: geronimo-jpa-2.0-spec -- Geronimo JSR-317 Java Persistence (JPA) 2.0 Spec API

Package: wnpp
Severity: wishlist
Owner: Miguel Landaeta <miguel@miguel.cc>

* Package name    : geronimo-jpa-2.0-spec
  Version         : 1.1
  Upstream Author : Apache Software Foundation (ASF)
* URL             : http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-jpa_2.0_spec-1.1/
* License         : Apache-2.0
  Programming Lang: Java
  Description     : Geronimo JSR-317 Java Persistence (JPA) 2.0 Spec API

  The Java Persistence API is the Java API for the management of persistence and
  object/relational mapping for Java EE and Java SE environments. 
  The goal of this specification is to provide an object/relational mapping
  facility for the Java application developer using a Java domain model
  to manage a relational database.
  Persistence in this context covers three areas:
   - The API itself, defined in the javax.persistence package.
   - The Java Persistence Query Language (JPQL).
   - Object/relational metadata.
  The Java Persistence 2.0 specification addresses improvements in the areas of
  domain modeling, object/relational mapping, EntityManager and Query
  interfaces, and the Java Persistence query language. It adds an API for
  criteria queries, a metamodel API, and support for validation.
  This package contains only API of JSR-317 spec. Apache OpenJPA and Eclipselink
  are implementations of this spec.

This library is needed to package OpenJPA and EclipseLink, which in turn,
they are needed to package Spring Framework 3.0.

Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x7D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche

Reply to: